Subject: bug#54928: Libtool 2.4.6 vs. 2.4.7

From: Andreas Enge <[email-masked]>
Date: Thu, 14 Apr 2022 11:53:15 +0200

Hello,

is there a good reason to have added libtool-2.4.7 without it replacing
the libtool variable (at version 2.4.6)? I have installed [email-masked]
into my profile, as well as a number of other development tools, and
apparently both libtool versions are now used and are colliding when doing
   autoreconf -vf && ./configure && make
in my project:

make[2]: Verzeichnis „/home/enge/Programme/paritwine/git/src“ wird betreten
/bin/sh ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I.     -g -O2 -MT conversions.lo -MD -MP -MF .deps/conversions.Tpo -c -o conversions.lo conversions.c
libtool: Version mismatch error.  This is libtool 2.4.6, but the
libtool: definition of this LT_INIT comes from libtool 2.4.7.
libtool: You should recreate aclocal.m4 with macros from libtool 2.4.6
libtool: and run autoconf again.

I can solve the problem by downgrading to [email-masked] in my profile, but
would argue that this defeats the purpose of adding the new variable at all.

Andreas